Documentation Index

Fetch the complete documentation index at: https://docs.xendit.co/llms.txt

Use this file to discover all available pages before exploring further.

For archived content, access the previous documentation here or the previous API reference here.

Get Conversion by ID

Prev Next
Get
/conversions/{conversion_id}

Retrieve a specific Conversion using its ID

Security
HTTP
Type basic
Header parameters
api-version
stringRequired

The version of the API. Value: "2025-06-06"

Path parameters
conversion_id
stringRequired
Responses
200

The request has succeeded.

object
conversion_id
string

Conversion ID in format 'cnv-', e.g. cnv-4b2e58ca-4a75-4a83-b503-40501ee1d87e

Pattern^cnv-[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Examplecnv-123e4567-e89b-12d3-a456-426614174000
quote_id
string

Quote ID in format 'qo-', e.g. qo-4b2e58ca-4a75-4a83-b503-40501ee1d87e

Pattern^qo-[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Exampleqo-123e4567-e89b-12d3-a456-426614174000
reference_id
string
ExampleREF123456789
source_amount
number
Example1000.0
source_currency
string
Valid values[ "USD", "SGD", "IDR", "PHP", "MYR", "THB", "VND", "HKD", "MXN", "CNY", "KRW", "AUD", "EUR" ]
destination_amount
number
Example14650000.0
destination_currency
string
Valid values[ "USD", "SGD", "IDR", "PHP", "MYR", "THB", "VND", "HKD", "MXN", "CNY", "KRW", "AUD", "EUR" ]
fx_rate
number (float)
Example6.5E-05
status
string
Valid values[ "PENDING", "SUCCEEDED", "FAILED" ]
created
string (date-time)
Example2024-03-20T08:30:00Z
updated
string (date-time)
Example2024-03-20T08:30:00Z
failure_code
string
Valid values[ "INSUFFICIENT_BALANCE" ]
ExampleINSUFFICIENT_BALANCE
401

Unauthorized

object
error_code
string
Valid values[ "INVALID_API_KEY" ]
message
string
Valid values[ "API key format is invalid" ]
403

Forbidden

object
error_code
string
Valid values[ "REQUEST_FORBIDDEN_ERROR" ]
message
string
Valid values[ "The API key is forbidden to perform this request" ]
404

Not found

object
error_code
string
Valid values[ "DATA_NOT_FOUND" ]
message
string
Valid values[ "Quote not found" ]
500

Internal server error

object
error_code
string
Valid values[ "SERVER_ERROR" ]
message
string
Valid values[ "An unexpected error occurred" ]